Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.method
Class HandlerMethodSelector

    java.lang.Object
      org.springframework.web.method.HandlerMethodSelector

    public abstract class HandlerMethodSelector

extends java.lang.Object

Defines the algorithm for searching handler methods exhaustively including interfaces and parent classes while also dealing with parameterized methods as well as interface and class-based proxies.

Since:
  3.1
Author:
  Rossen Stoyanchev

Constructor Summary
`HandlerMethodSelector()`

Method Summary
`static java.util.Set<java.lang.reflect.Method>` | `selectMethods(java.lang.Class<?> handlerType, ReflectionUtils.MethodFilter handlerMethodFilter)` Selects handler methods for the given handler type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerMethodSelector

    public HandlerMethodSelector()

Method Detail

### selectMethods

    public static java.util.Set<java.lang.reflect.Method> selectMethods(java.lang.Class<?> handlerType,
                                                                        ReflectionUtils.MethodFilter handlerMethodFilter)

  Selects handler methods for the given handler type. Callers of this method define handler methods of interest through the `ReflectionUtils.MethodFilter` parameter.

  Parameters:
    `handlerType` - the handler type to search handler methods on
    `handlerMethodFilter` - a `ReflectionUtils.MethodFilter` to help recognize handler methods of interest
  Returns:
    the selected methods, or an empty set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD